Package com.treemap.treeplot

# Interface TreePlotSettings<Color,Font>

All Superinterfaces:
  `PropertyChange`

All Known Implementing Classes:
  `AbstractTreePlotSettings`, `DefaultTreePlotSettings`

public interface TreePlotSettings<Color,Font> extends PropertyChange
Keep track of all the settings that can be applied to a treeplot.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_COLOR_FIELD`
  `static final String`
  `PROPERTY_DEPTH`
  `static final String`
  `PROPERTY_GROUP_BY_FIELD`
  `static final String`
  `PROPERTY_HIDE_FILTER_RESULTS`
  `static final String`
  `PROPERTY_HIDE_SEARCH_RESULTS`
  `static final String`
  `PROPERTY_PROBING_COLOR`
  `static final String`
  `PROPERTY_RENDERING`
  `static final String`
  `PROPERTY_SELECTION_COLOR`
  `static final String`
  `PROPERTY_SIZE_FIELD`
  `static final String`
  `PROPERTY_TOOLTIP_BACKGROUND`
  `static final String`
  `PROPERTY_TOOLTIP_FIELD`
  `static final String`
  `PROPERTY_TREEPLOT_BACKGROUND_COLOR`
  `static final String`
  `PROPERTY_TREEPLOT_BUBBLE_SIZE`
  `static final String`
  `PROPERTY_TREEPLOT_GRID_COLOR`
  `static final String`
  `PROPERTY_TREEPLOT_GRID_THICKNESS`
  `static final String`
  `PROPERTY_TREEPLOT_GROUPBY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener listener)`
  `void`
  `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
  `void`
  `addTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Add a listener for receiving interesting events about changes in the settings.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getBackground()`
  Returns the backgroun color to use for drawing the treeplot.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getBackgroundProperty()`
  `MutableBoundedInterval`
  `getBubbleSizeInterval()`
  `TreeMapField`
  `getColorTreeMapField()`
  Gets the model used to hold the field used to represent the color.
  `TreeMapFieldSettings<Color,Font>`
  `getDefaultFieldSettings()`
  `Depth`
  `getDepth()`
  Returns the depth to use to lay out the treemap.
  `TreeMapFieldSettings<Color,Font>`
  `getFieldSettings(TreeMapField field)`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getGridColor()`
  Returns the color to use for drawing the grid.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getGridColorProperty()`
  `Double`
  `getGridThickness()`
  Returns the thickness used for drawing the grid.
  `MutableBoundedInterval`
  `getGridThicknessInterval()`
  `Boolean`
  `getGroupBy()`
  Returns whether the groups should be displayed.
  `TreeMapField[]`
  `getGroupByTreeMapFields()`
  Gets the model used to hold the list of fields to be use for grouping.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getProbingColor()`
  Returns the color to use for drawing the borders.
  `Rendering`
  `getRendering()`
  Returns the rendering scheme to use to draw the treemap.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getSelectionColor()`
  Returns the color to use for drawing the borders.
  `boolean`
  `getShowPopup(TreeMapField field)`
  Tells whether the specified field should be shown in the popup.
  `TreeMapField`
  `getSizeTreeMapField()`
  Gets the model used to hold the field used to represent the size.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getTooltipBackground()`
  Returns the background color to use for drawing the tooltips.
  `TreeMapField[]`
  `getToolTipTreeMapFields()`
  Gets the model used to hold the list of fields to be use by the tooltip.
  `Object`
  `getValue(String key)`
  Gets the value of the specified property.
  `MutableProperty<Boolean>`
  `groupByProperty()`
  `Boolean`
  `isHideFilterResults()`
  Gets the model used to indicate whether filtered nodes should be hidden.
  `Boolean`
  `isHideSearchResults()`
  Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
  `void`
  `removePropertyChangeListener(PropertyChangeListener listener)`
  `void`
  `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
  `void`
  `removeTreeMapSettingsListener()`
  Remove all the listener from the list of listeners that should be notified about changes in the settings.
  `void`
  `removeTreeMapSettingsListener(TreeMapSettingsListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the settings.
  `void`
  `resetToDefaults()`
  `void`
  `setBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the treeplot.
  `void`
  `setColor(int column)`
  Defines the field to use for coloring.
  `void`
  `setColorByName(String columnName)`
  Defines the field to use for coloring.
  `void`
  `setColorTreeMapField(TreeMapField field)`
  `void`
  `setDepth(Depth depth)`
  Defines the depth to use to lay out the treemap.
  `void`
  `setGridColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the grid.
  `void`
  `setGridThickness(Double value)`
  Sets the thickness used for drawing the grid.
  `void`
  `setGroupBy(int... columns)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupBy(Boolean groupBy)`
  Sets whether the groups should be displayed.
  `void`
  `setGroupByByNames(String... columnNames)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupByTreeMapFields(TreeMapField[] fields)`
  `void`
  `setHideFilterResults(Boolean hideFilterResults)`
  `void`
  `setHideSearchResults(Boolean hideSearchResults)`
  `void`
  `setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setRendering(Rendering rendering)`
  Defines the rendering scheme to use to draw the treemap.
  `void`
  `setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setShowPopup(TreeMapField field, boolean show)`
  Sets whether the specified field should be displayed or no in the popup.
  `void`
  `setSize(int column)`
  Defines the field to use to represent the size.
  `void`
  `setSizeByName(String columnName)`
  Defines the field to use to represent the size.
  `void`
  `setSizeTreeMapField(TreeMapField field)`
  `void`
  `setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the tooltips.
  `void`
  `setToolTipTreeMapFields(TreeMapField[] fields)`

- ## Field Details

  - ### PROPERTY_SIZE_FIELD

    static final String PROPERTY_SIZE_FIELD
    See Also:
      - Constant Field Values

  - ### PROPERTY_COLOR_FIELD

    static final String PROPERTY_COLOR_FIELD
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_FIELD

    static final String PROPERTY_TOOLTIP_FIELD
    See Also:
      - Constant Field Values

  - ### PROPERTY_GROUP_BY_FIELD

    static final String PROPERTY_GROUP_BY_FIELD
    See Also:
      - Constant Field Values

  - ### PROPERTY_DEPTH

    static final String PROPERTY_DEPTH
    See Also:
      - Constant Field Values

  - ### PROPERTY_RENDERING

    static final String PROPERTY_RENDERING
    See Also:
      - Constant Field Values

  - ### PROPERTY_TOOLTIP_BACKGROUND

    static final String PROPERTY_TOOLTIP_BACKGROUND
    See Also:
      - Constant Field Values

  - ### PROPERTY_PROBING_COLOR

    static final String PROPERTY_PROBING_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_SELECTION_COLOR

    static final String PROPERTY_SELECTION_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_HIDE_SEARCH_RESULTS

    static final String PROPERTY_HIDE_SEARCH_RESULTS
    See Also:
      - Constant Field Values

  - ### PROPERTY_HIDE_FILTER_RESULTS

    static final String PROPERTY_HIDE_FILTER_RESULTS
    See Also:
      - Constant Field Values

  - ### PROPERTY_TREEPLOT_BACKGROUND_COLOR

    static final String PROPERTY_TREEPLOT_BACKGROUND_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_TREEPLOT_GRID_COLOR

    static final String PROPERTY_TREEPLOT_GRID_COLOR
    See Also:
      - Constant Field Values

  - ### PROPERTY_TREEPLOT_GRID_THICKNESS

    static final String PROPERTY_TREEPLOT_GRID_THICKNESS
    See Also:
      - Constant Field Values

  - ### PROPERTY_TREEPLOT_GROUPBY

    static final String PROPERTY_TREEPLOT_GROUPBY
    See Also:
      - Constant Field Values

  - ### PROPERTY_TREEPLOT_BUBBLE_SIZE

    static final String PROPERTY_TREEPLOT_BUBBLE_SIZE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getGroupByTreeMapFields

    TreeMapField[] getGroupByTreeMapFields()
    Gets the model used to hold the list of fields to be use for grouping.
    Returns:
      the model of fields to be use for grouping

  - ### setGroupByTreeMapFields

    void setGroupByTreeMapFields(TreeMapField[] fields)

  - ### getSizeTreeMapField

    TreeMapField getSizeTreeMapField()
    Gets the model used to hold the field used to represent the size.
    Returns:
      the model holding the field that represent the size.

  - ### setSizeTreeMapField

    void setSizeTreeMapField(TreeMapField field)

  - ### getColorTreeMapField

    TreeMapField getColorTreeMapField()
    Gets the model used to hold the field used to represent the color.
    Returns:
      the model holding the field that represent the color.

  - ### setColorTreeMapField

    void setColorTreeMapField(TreeMapField field)

  - ### getToolTipTreeMapFields

    TreeMapField[] getToolTipTreeMapFields()
    Gets the model used to hold the list of fields to be use by the tooltip.
    Returns:
      the model of fields to be use by the tooltip.

  - ### setToolTipTreeMapFields

    void setToolTipTreeMapFields(TreeMapField[] fields)

  - ### isHideFilterResults

    Boolean isHideFilterResults()
    Gets the model used to indicate whether filtered nodes should be hidden.
    Returns:
      the model indicating whether filtered nodes should be hidden.

  - ### setHideFilterResults

    void setHideFilterResults(Boolean hideFilterResults)

  - ### isHideSearchResults

    Boolean isHideSearchResults()
    Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
    Returns:
      the model indicating whether nodes that do not match the search criteria should be hidden.

  - ### setHideSearchResults

    void setHideSearchResults(Boolean hideSearchResults)

  - ### setGroupBy

    void setGroupBy(int... columns)
    Defines the fields to be use for grouping.
    Parameters:
      `columns` - the indexes of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### setGroupByByNames

    void setGroupByByNames(String... columnNames)
    Defines the fields to be use for grouping.
    Parameters:
      `columnNames` - the names of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### setSize

    void setSize(int column)
    Defines the field to use to represent the size.
    Parameters:
      `column` - the index of the column to be used for representing the size
    See Also:
      - `DefaultTreeMapSettings.getSizeTreeMapField()`

  - ### setSizeByName

    void setSizeByName(String columnName)
    Defines the field to use to represent the size.
    Parameters:
      `columnName` - the name of the column to be used for representing the size
    See Also:
      - `DefaultTreeMapSettings.getSizeTreeMapField()`

  - ### setColor

    void setColor(int column)
    Defines the field to use for coloring.
    Parameters:
      `column` - the index of the column to be used for coloring
    See Also:
      - `DefaultTreeMapSettings.getColorTreeMapField()`

  - ### setColorByName

    void setColorByName(String columnName)
    Defines the field to use for coloring.
    Parameters:
      `columnName` - the name of the column to be used for coloring
    See Also:
      - `DefaultTreeMapSettings.getColorTreeMapField()`

  - ### getDepth

    Depth getDepth()
    Returns the depth to use to lay out the treemap.
    Returns:
      the depth to use
    See Also:
      - `DefaultTreeMapSettings.getDepth()`
      - `DepthFactory`

  - ### setDepth

    void setDepth(Depth depth)
    Defines the depth to use to lay out the treemap.
    Parameters:
      `depth` - the depth to use
    See Also:
      - `DefaultTreeMapSettings.getDepth()`
      - `DepthFactory`

  - ### getRendering

    Rendering getRendering()
    Returns the rendering scheme to use to draw the treemap.
    Returns:
      the rendering scheme to use
    See Also:
      - `DefaultTreeMapSettings.getRendering()`
      - `RenderingFactory`

  - ### setRendering

    void setRendering(Rendering rendering)
    Defines the rendering scheme to use to draw the treemap.
    Parameters:
      `rendering` - the rendering scheme to use
    See Also:
      - `DefaultTreeMapSettings.getRendering()`
      - `RenderingFactory`

  - ### getTooltipBackground

    com.macrofocus.igraphics.CPColor<Color> getTooltipBackground()
    Returns the background color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getTooltipBackground()`

  - ### setTooltipBackground

    void setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the tooltips.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getTooltipBackground()`

  - ### getProbingColor

    com.macrofocus.igraphics.CPColor<Color> getProbingColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getProbingColor()`

  - ### setProbingColor

    void setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getProbingColor()`

  - ### getSelectionColor

    com.macrofocus.igraphics.CPColor<Color> getSelectionColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getSelectionColor()`

  - ### setSelectionColor

    void setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getSelectionColor()`

  - ### getShowPopup

    boolean getShowPopup(TreeMapField field)
    Tells whether the specified field should be shown in the popup.
    Parameters:
      `field` - the field.
    Returns:
      true if it should be displayed, false otherwise.

  - ### setShowPopup

    void setShowPopup(TreeMapField field, boolean show)
    Sets whether the specified field should be displayed or no in the popup.
    Parameters:
      `field` - the field.
      `show` - true if it should be displayed, false otherwise.

  - ### getValue

    Object getValue(String key)
    Gets the value of the specified property.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### addTreeMapSettingsListener

    void addTreeMapSettingsListener(TreeMapSettingsListener listener)
    Add a listener for receiving interesting events about changes in the settings.
    Parameters:
      `listener` - the listener to add.

  - ### removeTreeMapSettingsListener

    void removeTreeMapSettingsListener(TreeMapSettingsListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the settings.
    Parameters:
      `listener` - the listener to remove.

  - ### removeTreeMapSettingsListener

    void removeTreeMapSettingsListener()
    Remove all the listener from the list of listeners that should be notified about changes in the settings.

  - ### addPropertyChangeListener

    void addPropertyChangeListener(String propertyName, PropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `PropertyChange`

  - ### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `addPropertyChangeListener` in interface `PropertyChange`

  - ### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `PropertyChange`

  - ### removePropertyChangeListener

    void removePropertyChangeListener(String propertyName, PropertyChangeListener listener)
    Specified by:
      `removePropertyChangeListener` in interface `PropertyChange`

  - ### getDefaultFieldSettings

    TreeMapFieldSettings<Color,Font> getDefaultFieldSettings()

  - ### getFieldSettings

    TreeMapFieldSettings<Color,Font> getFieldSettings(TreeMapField field)

  - ### resetToDefaults

    void resetToDefaults()

  - ### getBackground

    com.macrofocus.igraphics.CPColor<Color> getBackground()
    Returns the backgroun color to use for drawing the treeplot.
    Returns:
      the color to be used

  - ### setBackground

    void setBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the treeplot.
    Parameters:
      `color` - the color to be used

  - ### getBackgroundProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getBackgroundProperty()

  - ### getGridColor

    com.macrofocus.igraphics.CPColor<Color> getGridColor()
    Returns the color to use for drawing the grid.
    Returns:
      the color to be used

  - ### setGridColor

    void setGridColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the grid.
    Parameters:
      `color` - the color to be used

  - ### getGridColorProperty

    MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getGridColorProperty()

  - ### getGridThicknessInterval

    MutableBoundedInterval getGridThicknessInterval()

  - ### getGridThickness

    Double getGridThickness()
    Returns the thickness used for drawing the grid.
    Returns:
      the thickness

  - ### setGridThickness

    void setGridThickness(Double value)
    Sets the thickness used for drawing the grid.
    Parameters:
      `value` - the thickness

  - ### getGroupBy

    Boolean getGroupBy()
    Returns whether the groups should be displayed.
    Returns:
      the font to be used

  - ### setGroupBy

    void setGroupBy(Boolean groupBy)
    Sets whether the groups should be displayed.
    Parameters:
      `groupBy` - true to display the groups; false to display the leaves

  - ### groupByProperty

    MutableProperty<Boolean> groupByProperty()

  - ### getBubbleSizeInterval

    MutableBoundedInterval getBubbleSizeInterval()